curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/drop_columns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"columns": [
"<string>"
],
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"branch": "<string>"
}
'import requests
url = "{scheme}://{host}:{port}/{basePath}/v1/table/{id}/drop_columns"
payload = {
"columns": ["<string>"],
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": ["<string>"],
"branch": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
columns: ['<string>'],
identity: {api_key: '<string>', auth_token: '<string>'},
context: {},
id: ['<string>'],
branch: '<string>'
})
};
fetch('{scheme}://{host}:{port}/{basePath}/v1/table/{id}/drop_columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 1,
"context": {},
"transaction_id": "<string>"
}{
"type": "/errors/bad-request",
"title": "Malformed request",
"status": 400,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/unauthorized-request",
"title": "No valid authentication credentials for the operation",
"status": 401,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/forbidden-request",
"title": "Not authorized to make this request",
"status": 403,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/not-found-error",
"title": "Not found Error",
"status": 404,
"detail": "",
"instance": "/v1/namespaces/{ns}"
}{
"type": "/errors/service-unavailable",
"title": "Slow down",
"status": 503,
"detail": "",
"instance": "/v1/namespaces"
}{
"type": "/errors/server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "",
"instance": "/v1/namespaces"
}Remove columns from table
Remove specified columns from table id.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Body
Lance field paths to drop. Nested fields use dot-separated segments; use backtick-quoted segments for literal dots and double backticks inside quoted segments. Use canonical full paths for display and errors; leaf names alone only identify top-level fields; invalid or unresolved paths should return InvalidInput or TableColumnNotFound.
1Identity information of a request.
Show child attributes
Show child attributes
Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
- On a request, any entry whose key starts with
header.is sent as an HTTP request header with the prefix stripped. For example, the entry{"header.Authorization": "Bearer abc"}is sent as the request headerAuthorization: Bearer abc. - On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with
header.. For example, the response headerx-request-id: abc123is returned as the entry{"header.x-request-id": "abc123"}.
Show child attributes
Show child attributes
Branch to target. When not specified, the main branch is used.
Response
Drop columns operation result
Version of the table after dropping columns
x >= 0Arbitrary context as key-value pairs. How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation. On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
- On a request, any entry whose key starts with
header.is sent as an HTTP request header with the prefix stripped. For example, the entry{"header.Authorization": "Bearer abc"}is sent as the request headerAuthorization: Bearer abc. - On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with
header.. For example, the response headerx-request-id: abc123is returned as the entry{"header.x-request-id": "abc123"}.
Show child attributes
Show child attributes
Optional transaction identifier
Was this page helpful?